summaryrefslogtreecommitdiff
path: root/net.Linux
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-04-23 07:54:07 +0000
committerRoy Marples <roy@marples.name>2007-04-23 07:54:07 +0000
commitb0e3880bd41fcfc6cfaca51c71b85a7275a17a47 (patch)
treefd498db27f364e0c4fbc0879d9612e2bd3caf5d8 /net.Linux
parent52c28add455949dfa052a79b67cea7ec2052268b (diff)
downloadopenrc-b0e3880bd41fcfc6cfaca51c71b85a7275a17a47.tar.gz
openrc-b0e3880bd41fcfc6cfaca51c71b85a7275a17a47.tar.bz2
openrc-b0e3880bd41fcfc6cfaca51c71b85a7275a17a47.tar.xz
Attempt to fix clip
Diffstat (limited to 'net.Linux')
-rw-r--r--net.Linux/clip.sh18
1 files changed, 8 insertions, 10 deletions
diff --git a/net.Linux/clip.sh b/net.Linux/clip.sh
index d3ec4fd..d329285 100644
--- a/net.Linux/clip.sh
+++ b/net.Linux/clip.sh
@@ -67,17 +67,15 @@ atmclip_svcs_stop() {
}
are_atmclip_svcs_running() {
- is_daemon_running atmarpd || return 1
- if [[ ${clip_full:-yes} == "yes" ]]; then
- is_daemon_running ilmid || return 1
- is_daemon_running atmsigd || return 1
- fi
- return 0
-}
+ start-stop-daemon --test --stop --pidfile /var/run/atmarpd.pid || return 1
-atmarp() {
- /usr/sbin/atmarp "$@"
+ if [ "${clip_full:-yes}" = "yes" ]; then
+ start-stop-daemon --test --stop --pidfile /var/run/ilmid.pid || return 1
+ start-stop-daemon --test --stop --pidfile /var/run/atmsigd.pid || return 1
+ fi
+
+ return 0
}
clip_pre_start() {
@@ -175,7 +173,7 @@ clip_pre_stop() {
{
read left && \
while read itf t encp idle ipaddr left ; do
- if [ "${itf}" = "${IFACE}" ]]; then
+ if [ "${itf}" = "${IFACE}" ]; then
ebegin "Removing PVC to ${ipaddr}"
atmarp -d "${ipaddr}"
eend $?